[Buildroot] [PATCH 2/2] Makefile: test if "dot" exists in graph-build and <pkg>-graph-depends

Fabio Porcedda fabio.porcedda at gmail.com
Tue Jun 17 09:14:07 UTC 2014


On Fri, Jun 13, 2014 at 7:55 PM, Thomas Petazzoni
<thomas.petazzoni at free-electrons.com> wrote:
> Dear Fabio Porcedda,
>
> On Fri, 13 Jun 2014 19:06:48 +0200, Fabio Porcedda wrote:
>
>> -graph-build: $(O)/build/build-time.log
>> +graph-prerequisites:
>> +     @dot -? >/dev/null 2>&1 || \
>> +             (echo "ERROR: The 'dot' program from Graphviz is needed for graph-depends" >&2; exit 1)
>> +
>> +graph-build: $(O)/build/build-time.log graph-prerequisites
>
> This is wrong: graph-build does not need the dot program, it's just a
> Python script that uses matplotlib.

Thanks, fixed.

Best regards
-- 
Fabio Porcedda


More information about the buildroot mailing list